import request from '/@/utils/request';

/**
 * @summary 获取工作流列表数据源
 */
export const get_workflow_agent_list = async () => {
	return request({
		url: '/admin/workflow/get_workflow_agent_list',
		method: 'POST',
	});
};
/**
 * @description 添加工作流执行器
 **/
export const add_workflow_agent = (params) =>
	request({
		url: `/admin/workflow/add_workflow_agent`,
		method: 'post',
		data: params,
	});
/**
 * @description 删除工作流执行器
 **/
export const delete_workflow_agent = (params) =>
	request({
		url: `/admin/workflow/delete_workflow_agent`,
		method: 'post',
		data: params,
	});

/**
 * @description 获取工作流 JSON
 **/
export const get_workflow_json_flow = (params) =>
	request({
		url: `/admin/workflow/get_workflow_json_flow`,
		method: 'post',
		data: params,
	});

/**
 * @description 设置工作流 JSON
 **/
export const update_workflow_json_flow = (params) =>
	request({
		url: `/admin/workflow/update_workflow_json_flow`,
		method: 'post',
		data: params,
	});
